
From: Adrian Bunk <bunk@stusta.de>

This patch contains cleanups including the following:
- make needlessly global code static

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/ad1816.c      |    2 +-
 25-akpm/sound/oss/nm256.h       |    2 +-
 25-akpm/sound/oss/nm256_audio.c |    4 ++--
 25-akpm/sound/oss/nm256_coeff.h |    2 +-
 25-akpm/sound/oss/v_midi.c      |    2 --
 25-akpm/sound/oss/wavfront.c    |   12 ++++++------
 6 files changed, 11 insertions(+), 13 deletions(-)

diff -puN sound/oss/ad1816.c~sound-oss-cleanups sound/oss/ad1816.c
--- 25/sound/oss/ad1816.c~sound-oss-cleanups	2005-03-23 20:02:48.000000000 -0800
+++ 25-akpm/sound/oss/ad1816.c	2005-03-23 20:02:48.000000000 -0800
@@ -592,7 +592,7 @@ typedef struct mixer_def mixer_ent;
   {{reg_l, pola_l, pos_l, len_l}, {reg_r, pola_r, pos_r, len_r}}
 
 
-mixer_ent mix_devices[SOUND_MIXER_NRDEVICES][2] = {
+static mixer_ent mix_devices[SOUND_MIXER_NRDEVICES][2] = {
 MIX_ENT(SOUND_MIXER_VOLUME,	14, 1, 8, 5,	14, 1, 0, 5),
 MIX_ENT(SOUND_MIXER_BASS,	 0, 0, 0, 0,	 0, 0, 0, 0),
 MIX_ENT(SOUND_MIXER_TREBLE,	 0, 0, 0, 0,	 0, 0, 0, 0),
diff -puN sound/oss/nm256_audio.c~sound-oss-cleanups sound/oss/nm256_audio.c
--- 25/sound/oss/nm256_audio.c~sound-oss-cleanups	2005-03-23 20:02:48.000000000 -0800
+++ 25-akpm/sound/oss/nm256_audio.c	2005-03-23 20:02:48.000000000 -0800
@@ -31,7 +31,7 @@
 #include "nm256.h"
 #include "nm256_coeff.h"
 
-int nm256_debug;
+static int nm256_debug;
 static int force_load;
 
 /* 
@@ -138,7 +138,7 @@ static int usecache;
 static int buffertop;
 
 /* Check to see if we're using the bank of cached coefficients. */
-int
+static int
 nm256_cachedCoefficients (struct nm256_info *card)
 {
     return usecache;
diff -puN sound/oss/nm256_coeff.h~sound-oss-cleanups sound/oss/nm256_coeff.h
--- 25/sound/oss/nm256_coeff.h~sound-oss-cleanups	2005-03-23 20:02:48.000000000 -0800
+++ 25-akpm/sound/oss/nm256_coeff.h	2005-03-23 20:02:48.000000000 -0800
@@ -4650,7 +4650,7 @@ nm256_loadAllCoefficients (struct nm256_
     card->coeffsCurrent = 1;
 }
 
-void
+static void
 nm256_loadCoefficient (struct nm256_info *card, int which, int number)
 {
     static u16 addrs[3] = { 0x1c, 0x21c, 0x408 };
diff -puN sound/oss/nm256.h~sound-oss-cleanups sound/oss/nm256.h
--- 25/sound/oss/nm256.h~sound-oss-cleanups	2005-03-23 20:02:48.000000000 -0800
+++ 25-akpm/sound/oss/nm256.h	2005-03-23 20:02:48.000000000 -0800
@@ -284,7 +284,7 @@ nm256_readBuffer8 (struct nm256_info *ca
 }
 
 /* Returns a non-zero value if we should use the coefficient cache. */
-extern int nm256_cachedCoefficients (struct nm256_info *card);
+static int nm256_cachedCoefficients (struct nm256_info *card);
 
 #endif
 
diff -puN sound/oss/v_midi.c~sound-oss-cleanups sound/oss/v_midi.c
--- 25/sound/oss/v_midi.c~sound-oss-cleanups	2005-03-23 20:02:48.000000000 -0800
+++ 25-akpm/sound/oss/v_midi.c	2005-03-23 20:02:48.000000000 -0800
@@ -39,8 +39,6 @@ static void *midi_mem = NULL;
  */
 
 
-void            (*midi_input_intr) (int dev, unsigned char data);
-
 static int v_midi_open (int dev, int mode,
 	      void            (*input) (int dev, unsigned char data),
 	      void            (*output) (int dev)
diff -puN sound/oss/wavfront.c~sound-oss-cleanups sound/oss/wavfront.c
--- 25/sound/oss/wavfront.c~sound-oss-cleanups	2005-03-23 20:02:48.000000000 -0800
+++ 25-akpm/sound/oss/wavfront.c	2005-03-23 20:02:48.000000000 -0800
@@ -151,11 +151,11 @@ static int (*midi_load_patch) (int devno
 
 /*** Module-accessible parameters ***************************************/
 
-int wf_raw;     /* we normally check for "raw state" to firmware
-		   loading. if set, then during driver loading, the
-		   state of the board is ignored, and we reset the
-		   board and load the firmware anyway.
-		*/
+static int wf_raw;     /* we normally check for "raw state" to firmware
+			   loading. if set, then during driver loading, the
+			   state of the board is ignored, and we reset the
+			   board and load the firmware anyway.
+			*/
 		   
 static int fx_raw = 1; /* if this is zero, we'll leave the FX processor in
 		          whatever state it is when the driver is loaded.
@@ -2911,7 +2911,7 @@ int __init detect_wffx (void)
 	return 0;
 }	
 
-void
+static void
 wffx_mute (int onoff)
     
 {
_
